# Google Data APIs Client Library (1.43.0)

## com.google.api.gbase.client
Enum GmAttributes.GmAttribute.Importance

    java.lang.Object
      java.lang.Enum<GmAttributes.GmAttribute.Importance>
          com.google.api.gbase.client.GmAttributes.GmAttribute.Importance

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<GmAttributes.GmAttribute.Importance>

Enclosing class:
  GmAttributes.GmAttribute

    public static enum GmAttributes.GmAttribute.Importance

extends java.lang.Enum<GmAttributes.GmAttribute.Importance>

Enumeration defining the importance levels that an attribute can have.

Enum Constant Summary
`DEPRECATED` The attribute is deprecated and should not be used when creating new items.
`OPTIONAL` The attribute usually provides behavioral or other meta information for the item it belongs to.
`RECOMMENDED` The attribute is important for providing good quality for an item, but the item is meaningful even if this attribute is not specified.
`REQUIRED` The attribute is very important in defining the characteristics of an item.

Method Summary
`static GmAttributes.GmAttribute.Importance` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static GmAttributes.GmAttribute.Importance[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### REQUIRED

    public static final GmAttributes.GmAttribute.Importance REQUIRED

  The attribute is very important in defining the characteristics of an item. In the future, the presence of the required attributes might be checked for the item types defined by Google.

### RECOMMENDED

    public static final GmAttributes.GmAttribute.Importance RECOMMENDED

  The attribute is important for providing good quality for an item, but the item is meaningful even if this attribute is not specified. Providing a value for a recommended attribute increases the chances of showing the item in a Google search.

### OPTIONAL

    public static final GmAttributes.GmAttribute.Importance OPTIONAL

  The attribute usually provides behavioral or other meta information for the item it belongs to. This information is not very important for direct attribute searches, but can affect where and when an attribute is shown.

### DEPRECATED

    public static final GmAttributes.GmAttribute.Importance DEPRECATED

  The attribute is deprecated and should not be used when creating new items.

Method Detail

### values

    public static GmAttributes.GmAttribute.Importance[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (GmAttributes.GmAttribute.Importance c : GmAttributes.GmAttribute.Importance.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static GmAttributes.GmAttribute.Importance valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null